Subject: tcp_sack problem Re: [Bug 11721] after upgrade to 2.6.27 i cannot navigate

From: Jarek Poplawski <[email-masked]>
Date: Sat, 18 Oct 2008 23:02:52 +0200

Nice job Aldo!

I forward this message to netdev and Cc our best tcp expert.
Any new replies should be rather "Reply All" (not bugzilla only).

Thanks,
Jarek P.

On Sat, Oct 18, 2008 at 01:20:56PM -0700, [email-masked] wrote:
> http://bugzilla.kernel.org/show_bug.cgi?id=11721
> 
...
> ------- Comment #30 from [email-masked]  2008-10-18 13:20 -------
> absolutely i'm not fed up! and actually i thank you for your patience.
> 
> i set paperino as you wrote and added ifconfig eth0 mtu 1400 as well
> i set the same value of mtu in topolino as well, i hope i was not wrong doing
> so!
> 
> i attach the files you ask for, but now i can navigate with 2.6.27-rc1-git1 as
> well!
> 
> afterwards i've run some more tests and have found out that the culprit is
> tcp_sack, if using kernel 2.6.27-rc1-gt1 it is set to "1" i cannot navigate if
> to "0" i can.
> so i enclose, should it be of any help, also the tcpdump on eth0 of topolino
> when on paperino tcp_sack is set to "1".
> 
> thanks
> aldo
> 
> 
> -- 
> Configure bugmail: http://bugzilla.kernel.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug, or are watching someone who is.